#pragma once
#include <algorithm>

namespace container_utility{

/** straighten the list.*/
template<typename T>
static void straighten(T p_list)
{
	std::sort(p_list->begin(), p_list->end());
	p_list->erase(std::unique(p_list->begin(), p_list->end()),p_list->end());
}

}
